Create a traffic filter
- Base URL
-
https://api.elastic-cloud.com
- POST /api/v1/serverless/traffic-filters
Creates a traffic filter that consists of a set of rules.
See Private connectivity for setup guides and regional service names.
Each rule must include:
source— the VPC endpoint ID (format:vpce-followed by 17 lowercase hex characters).
Do not set azure_endpoint_name or azure_endpoint_guid on AWS rules.
Each rule must include:
azure_endpoint_name— the Azure Private Endpoint resource name (2–80 characters).azure_endpoint_guid— the PE resource GUID (properties.resourceGuid), a lowercase UUID. This is not the ARM resource ID.
Do not set source on Azure rules.
Each rule must include:
source— the decimal PSC connection ID reported by the consumer forwarding rule.
Do not set azure_endpoint_name or azure_endpoint_guid on GCP rules. GCP PSC
connections are accepted automatically by the service attachment, so creating this
traffic filter does not trigger a cloud approval or resolution operation.
Responses
Bad request
Unauthorized
Conflict
Internal server error